Subject: Re: [Uri-review] 'skype' and 'callto' schemes

From: Mykyta Yevstifeyev <[email-masked]>
Date: Mon, 08 Aug 2011 07:00:10 +0300

All,

I finally got to 'skype' URIs now; please see the template below:

>   Registration Template for 'skype' URI Scheme
>
>    URI scheme name.
>       "skype"
>    Status.
>       Provisional
>    URI scheme syntax.
>       The syntax of 'skype' URI described with ABNF [RFC5234] is as
>       follows:
>
>       skype-uri  = "skype:" name [params]
>       name       = telephone-subscriber / skype-name
>       telephone-subscriber = <as defined in RFC 3966 [RFC3966]>
>       skype-name = ALPHA 5( ALPHA / DIGIT ) *26 ( ALPHA / DIGIT )
>       params     = "?" param
>       param      = "call" / "add" / "chat" / "sendfile"
>                  / "userinfo" / ext-param
>       ext-param  = 1*ALPHA
>
>       where <ALPHA> and <DIGIT> rules are defined in RFC 5234.
>    URI scheme semantics.
>       The 'skype' URI designates the endpoint for a particlar operation
>       perfommed by Skype(tm).  Such operations are denotes by <param>,
>       if present (otherwise, the "call" operation is assumed to be
>       default).  The folowing table summarizes the posible operations:
>       +-----------------+---------------------------------------------+
>       | Keyword         | Summary                                     |
>       +-----------------+---------------------------------------------+
>       | call            | Perform the Skype call to <name>, which is  |
>       |                 | either a telephone number or Skype username |
>       +-----------------+---------------------------------------------+
>       | add             | Add <name> to Skype contact list            |
>       +-----------------+---------------------------------------------+
>       | chat            | Add <name> to Skype contact list and open a |
>       |                 | new chat                                    |
>       +-----------------+---------------------------------------------+
>       | sendfile        | Send a file to <name>                       |
>       +-----------------+---------------------------------------------+
>       | userinfo        | Show information about <name>               |
>       +-----------------+---------------------------------------------+
>       Please refer to the lates version of Skype API for technical
>       description of the operations.
>    Encoding considerations.
>       None except those discussed in RFC 3968 [RFC3968].
>    Applications/protocols that use this URI scheme name.
>       Skype(tm) is an only application currently using 'skype' URIs.
>    Interoperability considerations.
>       None
>    Security considerations.
>       None except those discussed in RFC 3968 [RFC3968].
>    Contact.
>       Skype Technologies S.A. <[email-masked]>
>    Author/Change controller.
> <TODO>
>    References.
>       [RFC3966] Schulzrinne, H., "The tel URI for Telephone Numbers",
>         RFC 3966, December 2004.
>       [RFC3986] Berners-Lee, T., Fielding, R., and L. Masinter,
>         "Uniform Resource Identifier (URI): Generic Syntax", STD 66,
>        RFC 3986, January 2005.
>       [RFC5234]  Crocker, D., Ed., and P. Overell, "Augmented BNF
>         for Syntax Specifications: ABNF", STD 68, RFC 5234,
>         January 2008.

If you have any comments, please provide them.

Thanks,
Mykyta Yevstifeyev

18.07.2011 12:22, Graham Klyne wrote:
> As skype is so widely used, I think a provisional scheme registration 
> would be sensible, but I don't think any new document should be 
> created.  If there's a non-confidential Skype document we can point 
> to, that should be enough.
>
> I vaguely recall callto: has been "around" for a while, but don't know 
> if it was ever formally defined.  According to 
> http://www.w3.org/Addressing/schemes (now retired, but still a 
> potential source of useful pointers), it looks as if it may have been 
> a Microsoft specification from 1998 
> (http://support.microsoft.com/kb/q157277/).
>
> #g
> -- 
>
>
> Mykyta Yevstifeyev wrote:
>> Hello,
>>
>> Skype(tm) is known to use 'skype' and 'callto' URI schemes.  There is 
>> no any clear specification of the schemes on the Skype site, nor can 
>> I find it on the Net.  However, the syntax is known; it is said to be 
>> (transforming into ABNF):
>>
>>> skype-uri      = "skype:" name [params]
>>> name           = telephone-subscriber / skype-username
>>> telephone-subscriber = <as defined in RFC 3966>
>>> skype-username = ALPHA 5( ALPHA / DIGIT ) *26( ALPHA/DIGIT)
>>> params         = "?" param
>>> param          = "add" / "call" / "chat" / "sendfile"
>>>                / "userinfo" / ext-param
>>> ext-param      = 1*ALPHA
>>>
>>> callto-uri     = "callto:" name
>>
>> The operations of 'callto' URIs are to open a Skype call to <name>; 
>> 'skype' URI provide richer semantics, per <params>.  Documentation 
>> for Skype operations is available from 
>> share.skype.com/media/1.2_api_doc_en.pdf (this document says it is 
>> confidential ;-).
>>
>> The 'skype' URIs are known to be widely used; 'callto' are also used, 
>> but not as often as 'skype'.  Currently, the schemes are not 
>> officially registered with IANA; so my questions is: Can (should?) an 
>> effort to specify these two schemes be undertaken?  Any thoughts are 
>> welcome.
>>
>> Mykyta Yevstifeyev
>>
>>
>>
>> _______________________________________________
>> Uri-review mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/uri-review
>>
>
>
>

---

From: Graham Klyne <[email-masked]>
Date: Mon, 08 Aug 2011 08:49:46 +0100

(NOTE: formal reviewer hat is OFF.)

I'm not going to try and comment on the technical correctness of this.

I do have two questions:

(a) is there a Skype technical document that can be cited, or is this it?  How 
was this information obtained?

(b) the contact address is given as [email-masked] - are Skype actually 
involved in this registration?  If so, I'd ask if they can release any internat 
documentation, per (a).  If not, I think *you* should be the contact person for 
this.

#g
--

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 09 Aug 2011 11:35:18 +0300

08.08.2011 10:49, Graham Klyne wrote:
> (a) is there a Skype technical document that can be cited, or is this 
> it?  How was this information obtained?

This should be Skype API spec., but I didn't manage to find one.  Skype 
protocol itself is proprietary, and there is no documentation in public 
access.

>
> (b) the contact address is given as [email-masked] - are Skype 
> actually involved in this registration?  If so, I'd ask if they can 
> release any internat documentation, per (a).  If not, I think *you* 
> should be the contact person for this.

Well, Skype isn't involved in the registration, so I can correct here.

Mykyta

>>> As skype is so widely used, I think a provisional scheme 
>>> registration would be sensible, but I don't think any new document 
>>> should be created.  If there's a non-confidential Skype document we 
>>> can point to, that should be enough.
>>>
>>> I vaguely recall callto: has been "around" for a while, but don't 
>>> know if it was ever formally defined.  According to 
>>> potential source of useful pointers), it looks as if it may have 
>>> been a Microsoft specification from 1998 
>>>> Skype(tm) is known to use 'skype' and 'callto' URI schemes.  There 
>>>> is no any clear specification of the schemes on the Skype site, nor 
>>>> can I find it on the Net.  However, the syntax is known; it is said 
>>>> to be (transforming into ABNF):
>>>>
>>>> The 'skype' URIs are known to be widely used; 'callto' are also 
>>>> used, but not as often as 'skype'.  Currently, the schemes are not 
>>>> officially registered with IANA; so my questions is: Can (should?) 
>>>> an effort to specify these two schemes be undertaken?  Any thoughts 
>>>> are welcome.
>>>>
>>>> Mykyta Yevstifeyev
>>>>
>>>>
>>>>